mxGraphModel.mxVisibleChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxGraphModel.mxVisibleChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxVisibleChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxVisibleChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected Object` | `cell`
`protected boolean` | `previous`
`protected boolean` | `visible`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxVisibleChange()`
`mxGraphModel.mxVisibleChange(mxGraphModel model, Object cell, boolean visible)`

Method Summary
`void` | `execute()` Changes the root of the model.
`Object` | `getCell()`
`boolean` | `getPrevious()`
`boolean` | `isVisible()`
`void` | `setCell(Object value)`
`void` | `setPrevious(boolean value)`
`void` | `setVisible(boolean value)`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected Object cell

### visible

    protected boolean visible

### previous

    protected boolean previous

Constructor Detail

### mxGraphModel.mxVisibleChange

    public mxGraphModel.mxVisibleChange()

### mxGraphModel.mxVisibleChange

    public mxGraphModel.mxVisibleChange(mxGraphModel model,
                                        Object cell,
                                        boolean visible)

Method Detail

### setCell

    public void setCell(Object value)

### getCell

    public Object getCell()

  Returns:
    the cell

### setVisible

    public void setVisible(boolean value)

### isVisible

    public boolean isVisible()

  Returns:
    the visible

### setPrevious

    public void setPrevious(boolean value)

### getPrevious

    public boolean getPrevious()

  Returns:
    the previous

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.